Create a payout for cashout method
Request example
curl --location 'http://uat-api.alps.cl/api/transactions/' \
--header 'Authorization: ALPS {token}' \
--header 'Content-Type: application/json' \
--data-raw '[{
"order_id": "202500629012",
"credit_note": "202500629031",
"account_id": "3040267263",
"account_type": "Monetaria",
"vat_id": "06247314",
"name": "Payvalida Guatemala, S.A.",
"amount": 100.00,
"subject": "TEST PAYVALIDA 1",
"bank_detail": "TEST PAYVALIDA 1",
"channel": "https://webhook.site/:id",
"user_email": "[email protected]",
"phone_number": "02292318",
"bank": 922,
"transfer_status": 1,
"vat_id_type": "DPI"
}]
'import requests
import json
url = "http://uat-api.alps.cl/api/transactions/"
payload = json.dumps([
{
"order_id": "202500629012",
"credit_note": "202500629031",
"account_id": "3040267263",
"account_type": "Monetaria",
"vat_id": "06247314",
"name": "Payvalida Guatemala, S.A.",
"amount": 100,
"subject": "TEST PAYVALIDA 1",
"bank_detail": "TEST PAYVALIDA 1",
"channel": "https://webhook.site/:id",
"user_email": "[email protected]",
"phone_number": "02292318",
"bank": 922,
"transfer_status": 1,
"vat_id_type": "DPI"
}
])
headers = {
'Authorization': 'ALPS {token}',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)const myHeaders = new Headers();
myHeaders.append("Authorization", "ALPS {token}");
myHeaders.append("Content-Type", "application/json");
const raw = JSON.stringify([
{
"order_id": "202500629012",
"credit_note": "202500629031",
"account_id": "3040267263",
"account_type": "Monetaria",
"vat_id": "06247314",
"name": "Payvalida Guatemala, S.A.",
"amount": 100,
"subject": "TEST PAYVALIDA 1",
"bank_detail": "TEST PAYVALIDA 1",
"channel": "https://webhook.site/:id",
"user_email": "[email protected]",
"phone_number": "02292318",
"bank": 922,
"transfer_status": 1,
"vat_id_type": "DPI"
}
]);
const requestOptions = {
method: "POST",
headers: myHeaders,
body: raw,
redirect: "follow"
};
fetch("http://uat-api.alps.cl/api/transactions/", requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));The
channelfield must be the URL used to notify the transaction reference and the OTP code.
Payload sent to the channel's URL
| Attribute | Data Type | Description |
|---|---|---|
reference | String | Payvalida transaction ID |
otp_code | String | OTP generated for the transaction |
id_alps | Integer | ALPS transaction ID |
credit_note | String | Internal code for customer use, it must be a unique code. |
order_id | String | Payment order identification. |
